  /* CSS for Programs listing vcu.edu */
/* Updated 7.31.2023 (cc and mh) */
/* 8.1.2023 (cc) - filter button padding, detail panel padding */
/* 8.17.2023 (mh) - update .progExp__container .t4_button styles */
/* 8.23.2023 (sg) - update margin on .progExp__program-list, update flex calc on .progExp__program-list-item  */
/* 8.24.2023 (sg) - update padding on .progExp__program-list-item */
/* 9.27.2024 (sg) - update image fallbacks */
/* 10.23.2024 (sg) - update search button scaling and input focus */

.progExp__filter-container {
    --field-border-color: #BDBDBD;
    display: flex;
    flex-wrap: wrap;
    margin: 0.5rem 0.25rem 0.25rem;
}

.progExp__filter {
    background: #f0f0f0;
    font-size: 0.75rem;
    margin-top: 1rem;
    padding: 0.1em 1em 1em; 
    border: 2px solid #f8b300;
}

.progExp__filter h2 {
    font-size: 1rem; 
    padding-left: 0.5rem;
}

.progExp__filter-item {
    align-content: flex-end;
    display: flex;
    flex: 0 0 100%;
    flex-wrap: wrap;
    margin-bottom: 5px;
    max-width: 100%;
    padding: 0 5px;
    position: relative;
    width: 100%;
}

.progExp__form-label {
    display: block;
}

input[type="text"].progExp__form-control,
select.progExp__form-control,
.progExp__dropdown-toggle {
    background: #FFFFFF;
    border: 1px solid var(--field-border-color);
    display: block;
    font-size: 0.8rem;
    margin: 0;
    padding: 0.5em;
    text-align: left;
    width: 100%;
}

input[type="text"].progExp__form-control:focus,
select.progExp__form-control:focus,
.progExp__dropdown-toggle:focus {
    border-color: #f8b300;
    outline: none;
    box-shadow: inset 0 1px 1px rgba(0,0,0,.01), 0 0 8px #c1c1c1;
}

.progExp__dropdown {
    width: 100%;
}

.progExp__dropdown-toggle {
    position: relative;
}

.progExp__dropdown-toggle::after {
    align-content: center;
    content: '\f078';
    font-family: Font Awesome\ 6 Free;
    font-size: 0.8rem;
    font-weight: 700;
    height: 100%;
    padding: 10px;
    position: absolute;
    right: 0;
    top: 0;
}

.progExp__dropdown--show .progExp__dropdown-toggle::after {
    content: '\f077';
}

.progExp__dropdown-menu {
    background: #FFFFFF;
    border: 1px solid var(--field-border-color);
    display: none;
    padding: 13px;
    position: relative;
    width: 100%;
}

.progExp__dropdown--show .progExp__dropdown-menu {
    display: block;
}

.progExp__dropdown-section {
    display: block;
    font-weight: 700;
    margin-bottom: 5px;
    margin-top: 10px;
}

.progExp__dropdown-section:first-of-type {
    margin-top: 0;
}

.progExp__dropdown-check {
    padding-left: 10px;
}

.progExp__dropdown-check input[type="checkbox"] {
    clip: rect(1px, 1px, 1px, 1px);
    height: 1px;
    overflow: hidden;
    position: absolute;
    width: 1px;

}

.progExp__dropdown-check input[type="checkbox"] + label {
    display: block;
    padding: 5px 5px 5px 30px;
    position: relative;
}

.progExp__dropdown-check input[type="checkbox"] + label::before {
    border: 1px solid var(--field-border-color);
    border-radius: 5px;
    content: '';
    display: inline-block;
    height: 20px;
    left: 0;
    position: absolute;
    top: 8px;
    width: 20px;
}

.progExp__dropdown-check input[type="checkbox"]:checked + label::before {
    background: #333333;
}

.progExp__dropdown-check input[type="checkbox"]:checked + label::after {
    border-bottom: 2px solid var(--cwf-color--gold);
    border-left: 2px solid var(--cwf-color--gold);
    content: '';
    height: 7px;
    left: 3px;
    position: absolute;
    top: 13px;
    transform: rotate(-45deg);
    width: 12px;
}

.progExp__buttons {
    align-self: flex-end;
    margin: 10px 5px 5px 5px;
}

.progExp__button {
    background: #FFFFFF;
    border: 1px solid var(--cwf-color--gold);
    display: inline-block;
    font-size: 0.8rem;
    margin: 0;
    padding: 0.5em 1em;
    text-transform: uppercase;
}

.progExp__button--primary {
    background: var(--cwf-color--gold);
}

.progExp__button:hover,
.progExp__button:focus {
    cursor: pointer;
    background: #515151;
    color: #fff;
}


.progExp__button .fa-solid {
    font-weight: 600;
    margin-right: 5px;
}

.progExp__status {
    margin: 1rem 0;
}

.progExp__program-list {
    --program-hl-color: #FFB300;
    display: flex;
    flex-wrap: wrap;
    /* took the -15px out, also modding .progExp__program-list-item's flex calc to try and achieve the same effect */  
    /* margin: 0 -15px; */
    margin: 0;
    padding-bottom: 2rem;
}

.progExp__program-list-item {
    border: none !important;
    color: #000000 !important;
    display: block;
    flex: 0 0 100% !important;
    margin-bottom: 10px;
    /* adjusting padding to line up w/ the edge of the fields in the search section */
    /* padding: 0 30px; */
    padding: 0 24px;
    text-decoration: none !important;
}

.progExp__program-list-item {
    background: #ffffff;

    -webkit-transition: var(--hp-transition--ease-in);
    -moz-transition: var(--hp-transition--ease-in);
    transition: var(--hp-transition--ease-in);
}

.progExp__program-list-item:focus,
.progExp__program-list-item:hover {
    background-color: var(--program-hl-color) !important;
    color: #000000 !important;
}

.progExp__program-wrapper {
    border-bottom: 1px solid var(--program-hl-color) !important;
    padding: 15px 0;
    text-align: left;
}

.progExp__program-header {
    color: #000000 !important;
    font-size: 1.2rem;
    font-weight: 700;
    margin: 0;
    padding: 0;
}

.progExp__program-degreeunit {
    /* color: #333333; */
    color: #272727;
    font-size: 0.8rem;
    font-weight: 400;
    line-height: 1.2;
    padding-top: 0.5rem;/* CSS for Programs listing vcu.edu */
}


.progExp__program-list-item:focus .progExp__program-header,
.progExp__program-list-item:hover .progExp__program-header {
    text-decoration: underline !important;
}

.progExp__program-list-item.progExp__program--hide {
    display: none;
}


.progExp__program-noresult {
    background-color: var(--cwf-color--gold);
    border-radius: 8px;
    font-size: 1.5rem;
    padding: 20px;
    text-align: center;

}


@media (min-width: 1024px) {

    .progExp__filter-item {
        flex: 1 0 0% !important;
    }

    .progExp__program-list-item {
      /* taking out the -30px helps get this looking similar to how it was w/ the -15px on the .progExp__program-list */
        /* flex: 0 0 calc(50% - 30px) !important; */
      flex: 0 0 calc(50%) !important;
    }

    .progExp__dropdown-menu {
        max-width: 500px;
        min-width: 360px;
        position: absolute;
        width: 90%;
    }

}


/****
    Program detail panel
****/

.progExp__program-detail-overlay {
    background: rgba(0, 0, 0, 0.65);
    background: linear-gradient(270deg, #222222 0%, #222222 100px, rgba(0,0,0,0.65) 101px, rgba(0,0,0,0.65) 100%);
    display: none;
    position: fixed;
    height: 100%;
    left: 0;
    top: 0;
    width: 100%;
    z-index: 5000;
}

.progExp__program-detail-container {
    background: #222222;
    border-left: 1px solid #494949;
    bottom: 0;
    display: none;
    height: 100%;
    overflow-x: hidden;
    overflow-y: auto;
    padding-bottom: 3rem;
    position: fixed;
    right: 0;
    top: 0;
    width: 100%;
    z-index: 5000;
}

body.progExp__program--showdetail {
    display: block;
    min-height: 0;
    overflow: hidden;
}

.progExp__program--showdetail .progExp__program-detail-overlay {
    display: block;
}

.progExp__program--showdetail .progExp__program-detail-container {
    display: block;
}

.progExp__program-detail {
    color: #FFFFFF;
    /*height: calc(100vh - 65px);*/
    margin-top: 20px;
    /*overflow-x: hidden;*/
    /*overflow-y: auto;*/
    /*padding: 10px 20px 40px 20px;*/
    padding: 0 1rem 2rem 1rem;
    width: 100%;
}

.progExp__program-detail :where(p,li) {
    opacity: 0.85;
}

.progExp__program-detail a {
    color: var(--cwf-color--gold);
}

.progExp__program-detail h2, 
.progExp__program-detail h3 {
    color: var(--cwf-color--gold);
}

.progExp__program-detail h2 {
    /*font-size: 3rem;*/
    font-weight: 300;
    font-size: 2.75rem;
    padding: 0;
}

.progExp__program-detail h3 {
    border-top: 1px solid #666666;
    /*font-size: 2.5rem;*/
    font-size: 2rem;
    line-height: 1.3;
    /*margin-top: 3rem;*/
    /*padding-top: 2rem;*/
    margin-top: 2rem;
    padding-top: 1.3rem;
    font-size: 2rem;
}

.progExp__program-detail h4 {
    font-size: 1.5rem;
}

.progExp__program-detail .school-unit, 
.progExp__program-detail .school-degree {
    margin: 0;
    padding: 0;
}

.progExp__program-detail .prog-copy {
    /*margin-top: 2rem;*/
    margin-top: 1.5rem;
}

.progExp__program-detail .t4_button {
    border: 1px solid var(--cwf-color--gold);
    border-radius: 3rem;
    color: #FFFFFF;
    padding: 14px 25px;
    text-decoration: none;
    text-transform: uppercase;
}

.progExp__program-detail .t4_button::after {
    color: var(--cwf-color--gold);
    content: '\f054';
    display: inline-block;
    font-family: FontAwesome;
    margin-left: 10px;
}

.progExp__program-detail .t4_button:focus,
.progExp__program-detail .t4_button:hover {
    background: var(--cwf-color--gold);
    color: #222222;
}

.progExp__program-detail .t4_button:focus::after,
.progExp__program-detail .t4_button:hover::after {
    color: #222222;
}

.progExp__program-detail .mm-info {
    background: #000000;
    background-blend-mode: normal;
    background-image: url(/media/vcu-homepage/assets/images/compass-bg.png); 
    background-image: image-set(
        url(/media/vcu-homepage/assets/images/compass-bg.avif) type("image/avif") 1x,
        url(/media/vcu-homepage/assets/images/compass-bg2x.avif) type("image/avif") 2x,
        url(/media/vcu-homepage/assets/images/compass-bg.webp) type("image/webp"),
        url(/media/vcu-homepage/assets/images/compass-bg.png) type("image/png")
    );
    background-position: top right;
    background-repeat: no-repeat;
    background-size: contain;
    border: 1px solid var(--cwf-color--gold);
    border-radius: 1rem;
    margin-top: 3rem;
    overflow: hidden;
    padding: 1rem;
    position: relative;
}

.progExp__program-detail .mm-info > * {
    position: relative;
    z-index: 50;
}

.progExp__program-detail .mm-info::before {
    background: rgba(0, 0, 0, 0.7);
    content: '';
    display: block;
    height: 100%;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 1;
}

.progExp__program-detail .mm-header {
    color: #FFFFFF;
    margin: 0 0 0.75rem 0;
}

.progExp__program-detail-close-container {
    /*background: linear-gradient(to bottom, #222222 60%, rgba(34, 34, 34, 0.5) 100%);*/
    /*padding: 10px;*/
    position: sticky;
    text-align: right;
    top: 0;
    /* removing the - 20px since we took out the scrollbar-gutter: stable.. reverting */
    width: calc(100% - 20px);
    /* width: 100%; */
    padding: 0.5rem 1rem;
    background: #0e0e0e;
    border-bottom: 1px dotted #444;
    z-index: 2;
}

.progExp__program-detail-close-btn {
    background: transparent;
    border: none;
    color: #b0b0b0;
    display: inline-block;
    text-transform: uppercase;
    margin: 0 0 0 1.5rem;
    font-size: 0.9em;
    padding: 0.5rem;
}

.progExp__program-detail-close-btn:focus,
.progExp__program-detail-close-btn:hover {
    color: #FFFFFF;
}

.progExp__program-detail-close-btn:after {
    content: 'X';
    /*color: #FFFFFF;*/
    color: #ababab;
    display: inline-block;
    font-family: Font Awesome\ 6 Free;
    font-weight: 700;
    margin-left: 10px;
}

.progExp__program-detail-close-btn:focus, 
.progExp__program-detail-close-btn:hover,
.progExp__program-detail-close-btn:focus:after,
.progExp__program-detail-close-btn:hover:after {
    color: #bababa;
    background: #3e3e3e;
    cursor: pointer;
 }

.progExp__program-detail-jumplinks {
    margin-top: 1rem;
}

.progExp__program-detail-jumplinks > p {
    margin: 0;
}

.progExp__program-detail-jumplinks > ul {
    margin: 0;
    padding-left: 1rem;
}

.progExp__program-detail-jumplinks > ul a {
    font-weight: 500;
}

@media (min-width: 640px) {

    .progExp__program-detail {
        padding: 0 3rem 2rem 3rem;
    }

}

@media (min-width: 1024px) {

    .progExp__program-detail-container {
    	/* removing the margin-right since we removed the scrollbar-gutter on the html element.. reverting */
        margin-right: 20px;
        /*width: 600px;*/
        width: 800px;
    }

}

  
  
/***
    Program Explorer styles for the search block on 
    homepage. 
*/
  
  
.progExp__container {
    background: #000000;
    /* left: 50%; */
    /* margin-left: calc(-50vw - 0.5rem); */
    padding: 4rem 2rem;
    position: relative;
    /* width: 100vw; */
        max-width: 1400px;
}

.progExp__container {
  background-image: url(/media/vcu-homepage/assets/images/progrExp_bkg.png);
  background-image: image-set(
    url(/media/vcu-homepage/assets/images/progrExp_bkg.webp) type("image/webp") 1x,
    url(/media/vcu-homepage/assets/images/progrExp_bkg2x.webp) type("image/webp") 2x,
    url(/media/vcu-homepage/assets/images/progrExp_bkg.png) type("image/png")
  );
  
  background-color: #000;
  background-repeat: no-repeat;
  background-size: cover;
}

.progExp__wrapper {
    color: #FFFFFF;
    margin: 0 auto;
    max-width: calc(var(--cwf-contain--max-width, 1400px) - 320px);
    text-align: center;
    width: 100%;
}

.progExp__container h2 {
    color: #FFFFFF !important;
    font-size: 2.5rem;
    font-weight: 300;
    margin-bottom: 2rem;
}

.progExp__container h2 span {
    font-weight: 700;
    text-transform: uppercase;
}

.progExp__container p {
    font-size: 1.8rem;
    margin: 0;
}

.progExp__container form {
    margin: 3rem auto;
    position: relative; 
    width: 100%;
}

.progExp__container form .form-group {
    background: #FFFFFF;
    border-radius: 1.5rem;
    display: flex;
    overflow: hidden;
    padding: 1px;
    position: relative;
    width: 100%;
}

.progExp__container form label {
    clip: rect(1px, 1px, 1px, 1px);
    height: 1px;
    position: absolute;
    width: 1px;
}

.progExp__container form input {
    border: none;
    border-radius: 1.5rem;
    flex: 1 1 auto;
    padding: 0.75rem 3rem 0.75rem 0.75rem;
}

.progExp__container form input:focus {
    border: none;
    outline: 1px solid var(--cwf-color--gold);
}

.progExp__container form button {
    background: var(--cwf-color--gold);
    border: 1px solid var(--cwf-color--gold);
    border-radius: 2rem;
    flex: 0 0 1.5rem;
    overflow: hidden;
    padding: 0.75rem;
    position: absolute;
    right: 0;
    text-align: center;
    text-transform: uppercase;
    text-wrap: nowrap;
    top: 0;
    -webkit-transition: var(--hp-transition--ease-in);
    -moz-transition: var(--hp-transition--ease-in);
    transition: var(--hp-transition--ease-in);
    white-space: nowrap;
    width: 2.75rem;
}

.progExp__container form button::before {
    content: '\f002';
    display: inline-block;
    font-family: "Font Awesome 6 Free";
    font-weight: 600;
    margin-right: 8px;
}

.progExp__container form button:focus, 
.progExp__container form button:hover {
    background: #212121;
    color: #FFFFFF;
    outline: 1px solid var(--cwf-color--gold);;
}
  
.progExp__container form button span {
	clip: rect(1px, 1px, 1px,1px);
	height: 1px;
	position: absolute;
	width: 1px;
}

.progExp__container .text-gold {
    color: var(--cwf-color--gold);
}

.progExp__container .text-uncommon {
    font-weight: 700;
}

/* mh add progExp button color and border 8.17.23 */
.progExp__container .t4_button {
    font-size: 0.8rem;
    padding: 0.5rem 2rem !important;
    text-transform: uppercase;
    /* added */
    background-color: var(--hp-button--background-color)!important;
    border: 1px solid var(--hp-button--border-color);
    color: var(--hp-button--color)!important;
}

/* mh add progExp button focue and hover styles */
.progExp__container .t4_button:focus,
.progExp__container .t4_button:hover{
    background-color: var(--hp-button--hover-focus--background-color)!important;
    border: 1px solid var(--hp-button--border-color);
    color: var(--hp-button--hover-focus--color)!important;
}

@media (min-width: 640px) {
    
    .progExp__container form input {
        padding-right: 100px;
    }
    
    .progExp__container form button {
        width: auto;
    }
    
    .progExp__container form button::before {
        margin-right: 8px
    }
  
    .progExp__container form button span {
		clip: unset;
		height: unset;
		position: static;
		width: unset;
	}
    
}

@media (min-width: 1024px) {
    
    .progExp__container {
        padding: 6rem 2rem;
    }
    
    .progExp__container form {
        width: 75%;
    }
    
}




/***
    Loading animation 
*/

.progExp__loading {
    margin: 2rem auto;
    width: 150px;
}

.progExp__loading > * {
    display: block !important;
    margin: 0 auto;
    text-align: center;
}

.lds-ring {
    display: inline-block;
    position: relative;
    width: 80px;
    height: 80px;
  }
  .lds-ring div {
    box-sizing: border-box;
    display: block;
    position: absolute;
    width: 64px;
    height: 64px;
    margin: 8px;
    border: 8px solid #fcf;
    border-radius: 50%;
    animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
    border-color: var(--cwf-color--gold) transparent transparent transparent;
  }
  .lds-ring div:nth-child(1) {
    animation-delay: -0.45s;
  }
  .lds-ring div:nth-child(2) {
    animation-delay: -0.3s;
  }
  .lds-ring div:nth-child(3) {
    animation-delay: -0.15s;
  }
  @keyframes lds-ring {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }
  
  
  
@media print {
	
	
	body {
		background: #ffffff !important;
		font-size: 12pt;
	}
	
	.hp-nav--short,
	.hp-nav--action,
	.hp-nav--quick,
	.cwf-breadcrumb,
	.cwf-grid__column--page-layout--subnav,
	.hp-footer-list,
	.cwf-footer__column--right,
	.cwf-footer__item--social-list,
	.cwf-footer__standards,
	.cwf-footer__seal,
	.progExp__filter {
		display: none !important;
	}
	
	.cwf-footer__column--left > * {
		display: inline-block;
		margin-right: 1cm;
	}
	
	.progExp__program-list {
		display: block;
	}
	
	.progExp__program-list-item {
		padding: 0;
	}
	
	.progExp__program-list-item .progExp__program-wrapper {
		border-bottom: 1px solid #cccccc !important;
		padding: 0.1cm 0;
	}
	
	.progExp__program-list-item .progExp__program-wrapper > * {
		display: inline-block;
		font-size: 12pt;
	}
	
	
	.progExp__program--showdetail {
		overflow: auto !important;
	}
	
	.progExp__program--showdetail .plugin-general-content :not(h1), 
	.progExp__program--showdetail #acadProg {
		display: none;
	}
	
	.progExp__program--showdetail .progExp__program-list, 
	.progExp__program-detail-overlay, 
	.progExp__program--showdetail .progExp__program-detail-close-container,
	.progExp__program--showdetail footer {
		display: none !important;
	}
	
	.progExp__program--showdetail .progExp__program-detail-container {
		background: #ffffff;
		border: none;
		color: #000000;
		display: block;
		position: static;
		width: auto;
	}
	
	.progExp__program--showdetail #cwf-content {
		padding-bottom: 0 !important;
	}
	
	.progExp__program-detail :is(h1, h2, h3, h4, a), 
	.progExp__program-detail .mm-header {
		color: #000000;
	}
	
	.progExp__program-detail, 
	.progExp__program-detail .mm-info {
		background: none;
		border: none;
		color: #000000;
	}
	
	.progExp__program-detail .mm-info::before {
		display: none;
	}
	
	.progExp__program-detail .t4_button {
		border-color: #666666;
		color: #000000;
	}
	
	
}

/* 20241023 SG update search button scaling and input focus */
  
.progExp__container form input {
  flex: unset;
  flex-grow: 1;
  padding-left: 1rem;
}

@media (min-width: 640px) {
  .progExp__container form input {
    padding-right: 1rem;
  }
}

.progExp__container form button {
  color: #000;
}

@media (min-width: 640px) {
  .progExp__container form button {
    flex: unset;
    overflow: unset;
    position: static;
  }
}

.progExp__container form input:focus {
  border: none;
  outline: unset;
}

.progExp__container .form-group:focus-within {
  box-shadow: inset 0 0 0 1px var(--hp-color--gold);
}


